package dev.jansel.aglaea.utils

import com.github.philippheuer.events4j.reactor.ReactorEventHandler
import com.github.twitch4j.TwitchClientBuilder
import dev.jansel.aglaea.twitchClient
import dev.kordex.core.koin.KordExKoinComponent

class Twitch : KordExKoinComponent {
	suspend fun init() {
		twitchClient = TwitchClientBuilder.builder()
			.withEnableHelix(true)
			.withEnablePubSub(true)
			.withDefaultEventHandler(ReactorEventHandler::class.java)
			.withClientId(twitchcid)
			.withClientSecret(twitchcs)
			.build()
	}
}
